# 球形闪电钱包

球形闪电钱包 Bifröst 計劃

https://hackmd.io/@IN7fBvuZTzuYBeySweh4sA/HyVw0yvqN?type=view

關鍵詞：區塊鏈，數字貨幣，小額支付，數字錢包
比起比特幣網路誕生的 2009 年，如今的用戶有多種方式與區塊鏈交互。然而，無論是 Web3 注入或是閃電網絡，現有的交互方式要麼延遲高，要麼擴展性弱。這些因素使數字貨幣仍然對大衆有着較高的理解門檻和使用門檻。在那些最需要數字貨幣的地區——例如金融秩序被暴政嚴重破壞的朝鮮、伊朗、委內瑞拉——即使民衆有充足的動機使用數字貨幣，但是某些因素使他們望而卻步。即使少數聰明的用戶也不得不從信息高度不對稱的黑市購買數字貨幣。總而言之，我們仍然未能實現一個簡單的目標：區塊鏈上的小額支付，並且像傳統方案一樣易用。

出於以上動機，我們發起了 Bifröst 計劃。

:books: 背景
我們將比較傳統主流的小額支付渠道，以及現有區塊鏈上的小額支付渠道。爲了使區塊鏈方案如傳統方案一樣易用，我們還將分析現有區塊鏈方案的缺陷，並在隨後形式化地列明我們的目標。

傳統方案
例：Visa PayPal 支付寶
優：延遲低 費用低
劣：金融管制 隱私暴露 馬太效應

傳統的渠道憑藉其成熟的技術方案實現了極低的邊際成本，其缺陷主要在以下方面。

金融管制 隱私暴露 出於反洗錢與反逃稅的目的，幾乎所有的政府都向支付渠道提供商實行 KYC 監管，即必須向政府提供事無鉅細的用戶信息[1]。然而，在某些自由意志主義者[2]與奧地利派經濟學家[3]的眼中，這樣的常態並非出於正義，反而是對人權的侵犯和對自由市場的破壞，甚至必然地導致獨裁[4]。正是在這種異端立場中，於 1985 年萌發了 cypherpunk 運動[5]，而後者又在 2008 年孕育了比特幣。
馬太效應 支付服務有着強烈的排他性，即 Visa 卡持有者只能向接受 Visa 的 POS 機付款，商家通常需要租用多個 POS 機以防止無法收款的尷尬局面。排他性必然導致壟斷，事實上，支付渠道市場幾乎都是寡頭市場，無論是銀行卡支付市場還是數字支付市場。一方面，服務商利用寡頭地位賺取不合理的利潤；同時，政府不得不對這些市場採取強力管制以避免市場失靈，這種強管制的局面正是奧地利派經濟學家所強烈批判的。
服務商保管的數字錢包
例：blockchain.com
優劣：同上

這種方案下，私鑰被保管在服務商的服務器中，用戶不直接持有數字資產，而是持有對服務商的債權。其優勢是顯著的，即低延遲、低費用。由於數字資產集中的被服務商直接控制，此方案必然如傳統方案一樣招致政府的管制。事實上，此類服務商通常受到與銀行同樣強度的 KYC 監管要求。可以說，這種方案是僞區塊鏈方案。

SPV 錢包
例：imtoken
優：僞匿名 支持發行資產
劣：延遲高 費用高 需要用戶理解地址

中本聰白皮書提出的 SPV 錢包使手持設備無需同步數百 GiB 的賬本而直接與區塊鏈交互。乙太坊以及 ERC20 標準的誕生使錢包中可以以容納用戶發行的資產。然而，轉賬的延遲（latency）與費用（fee）嚴重受制於網路的擁堵狀況。即使在網路空閒的時候，高达 20 分鐘（比特幣[6]）或 17 秒（乙太坊[7]）的延遲仍然在小額支付場景中難以忍受。另一方面，看起來像亂碼一樣的區塊鏈地址在用戶面前豎起了一道無形的門檻。多數錢包和交易所用戶在第一次面對充值地址時不知所措，可以相信，小額支付的用戶羣作爲更廣大的羣體更難理解這一概念。

Web3
例：MetaMask
優：僞匿名 支持發行資產 無需用戶理解地址
劣：延遲高 費用高

最初的在線購物用戶必須記下商家的銀行賬戶信息，然後去網點填寫匯款單才能完成支付；今天的在線購物用戶只需一鍵即可完成支付。如果我們把銀行賬戶信息比作數字貨幣地址，那麼這一革新的乙太坊版本就是 Web3。以最初流行的應用謎戀貓爲例，由於客戶終端向網頁注入了 JavaScript 對象[8]，用戶無需知曉服務商（或智能合約）的地址，即可一鍵支付數字資產。依託乙太坊，用戶得以發行自己的數字資產並與 Web3 相結合。然而，Web3 的每一次區塊鏈調用受制於乙太坊的網路帶寬，用戶仍然需要忍受平均 17 秒的延遲。

WebLN
例：Joule BlueWallet
優：僞匿名 延遲低 費用低 無需用戶理解地址
劣：不支持發行資產

目前，只有比特幣閃電網路實現了實時、幾乎免費的數字資產轉賬。正如 Web3 給乙太坊帶來的革新一樣，Joule Labs 提出了閃電網路版本的開放 Web 標準——WebLN[9]。基於這一標準，用戶可以便利地向線上商戶支付。此標準從閃電網路繼承了低延遲、低費用的優點，同時也繼承了一個缺點：不支持比特幣以外的數字資產。

:dart: 目標
協議不具有排他性；
實時完成支付並向收付雙方給出反饋；
每筆支付的邊際成本不高於 1 美分；
保障匿名性（anonymity），或至少保障僞匿名性（pseudonymity）[10]；
支持各種用戶發行資產（issued asset）；
不需要用戶理解「地址」，更不需要用戶理解爲何支付 ERC20 代幣時還需要付出乙太幣作爲手續費。
:pencil: 項目計劃
閃電-Elements 方案
雷電網路方案
Casper-分片方案
Know your customer ↩︎

Libertarianism ↩︎

Austrian School ↩︎

Chaum, David. “Security without identification: Transaction systems to make big brother obsolete.” Communications of the ACM 28.10 (1985): 1030-1044. ↩︎

Cypherpunk ↩︎

Bitcoin Average Confirmation Time ↩︎

Ethereum Block Time History ↩︎

MetaMask Compatibility Guide ↩︎

WebLN ↩︎

Pseudonymity ↩︎